> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a shared volume

> Instant Clusters supports long-lived, resizable in-DC shared storage with user data persistence.
You can dynamically create and attach volumes to your cluster at cluster creation time, and resize as your data grows.
All shared storage is backed by multi-NIC bare metal paths, ensuring high-throughput and low-latency performance for shared storage.




## OpenAPI

````yaml POST /compute/clusters/storage/volumes
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
security:
  - bearerAuth: []
paths:
  /compute/clusters/storage/volumes:
    post:
      tags:
        - SharedVolumeService
      summary: Create a shared volume
      description: >
        Instant Clusters supports long-lived, resizable in-DC shared storage
        with user data persistence.

        You can dynamically create and attach volumes to your cluster at cluster
        creation time, and resize as your data grows.

        All shared storage is backed by multi-NIC bare metal paths, ensuring
        high-throughput and low-latency performance for shared storage.
      operationId: SharedVolumeService_Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GPUClustersSharedVolumeCreateRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GPUClustersSharedVolume'
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (v2)
          source: |
            from together import Together
            client = Together()

            volume = client.beta.clusters.storage.create(
              volume_name="my-shared-volume",
              size_tib=2,
              region="us-west-2"
            )
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const volume = await client.beta.clusters.storage.create({
              volume_name: "my-shared-volume",
              size_tib: 2,
              region: "us-west-2"
            });
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const volume = await client.beta.clusters.storage.create({
              volume_name: "my-shared-volume",
              size_tib: 2,
              region: "us-west-2"
            });
        - lang: Shell
          label: cURL
          source: |
            tg beta clusters storage create \
              --volume-name my-shared-volume \
              --size-tib 2 \
              --region us-west-2
components:
  schemas:
    GPUClustersSharedVolumeCreateRequest:
      type: object
      required:
        - volume_name
        - size_tib
        - region
      properties:
        volume_name:
          type: string
          description: User provided name of the volume.
        size_tib:
          type: integer
          description: Volume size in whole tebibytes (TiB).
        region:
          type: string
          description: >-
            Region name. Usable regions can be found from
            `clusters.list_regions()`
        is_lifecycle_independent:
          type: boolean
          description: >-
            When true, the shared volume is not deleted when the cluster is
            decommissioned.
    GPUClustersSharedVolume:
      type: object
      required:
        - volume_id
        - volume_name
        - size_tib
        - status
      properties:
        volume_id:
          description: ID of the volume.
          type: string
        volume_name:
          type: string
          description: User provided name of the volume.
        size_tib:
          type: integer
          description: Size of the volume in TiB.
        status:
          enum:
            - scheduled
            - available
            - bound
            - provisioning
            - deleting
            - failed
            - access_revoked
            - unknown
          type: string
          description: Current status of the shared volume.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````